Subject: bug#24831: shr mangling messages

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 04 Nov 2016 19:28:24 +0900

On Fri, 04 Nov 2016 09:51:52 +0100, Lars Ingebrigtsen wrote:
> Katsumi Yamaoka <[email-masked]> writes:
>> I did it.  A patch is below.
> Great!  Looks good to me.

Thanks!  I'll commit it to master.

[...]
>> ・No way to exclude text existing outside of <html>...</html>.
> Hm...  I don't quite follow...

I found it in some mails from amazon.co.jp, but not so many and
not so annoying.  Here it is:

<html>
...
</html>             --MuLtIpArT_BoUnDaRy--

Well, is this a reasonable operation?

(with-temp-buffer
  (insert "<html><body>Foo</body></html>Bar")
  (libxml-parse-html-region (point-min) (point-max)))
 => (html nil (body nil "Foo") (html nil (p nil "Bar")))